API DocumentationManufacturer part revision controller

Upload part revision

PUT
/api/manufacturer/v1/part-revision/upload

Uploads a 3D model file for analysis and creates a new part revision

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

designId?string

ID of the design to associate with this revision (optional)

Formatuuid
customerOrganisationId?integer

ID of the customer organization (optional)

Formatint64

Header Parameters

X-Filename*string

Original filename of the file

Request Body

application/json
  1. body
file*file

3D model file to upload

Formatbinary

Response Body

File upload and analysis started

response?stringapplication/json
Formatuuid
curl -X PUT 'https://m-api.eu.phas.io/api/manufacturer/v1/part-revision/upload' \  -H 'X-Filename: string' \  -H 'Content-Type: application/json' \  -d '{  "file": "string"}'
"497f6eca-6276-4993-bfeb-53cbbbba6f08"

Last updated on